﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="StudentView.aspx.cs" Inherits="DrillDownDemo.StudentView" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <asp:ObjectDataSource ID="StudentODS" runat="server" 
        SelectMethod="GetStudentData" TypeName="DrillDownDemo.Data.StudentData">
    </asp:ObjectDataSource>
    <asp:GridView ID="StudentGridView" runat="server" AutoGenerateColumns="False" 
        DataSourceID="StudentODS">
        <Columns>
            <asp:TemplateField>
                <ItemTemplate>
                    <a href="#" class="collapse expand-btn"><img src="Images/Plus.gif" alt="+"/></a>
                    <a href="#" class="expand collapse-btn"><img src="Images/Minus.gif" alt="-" /></a>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:BoundField DataField="ID" HeaderText="ID" SortExpression="ID" />
            <asp:BoundField DataField="FirstName" HeaderText="FirstName" 
                SortExpression="FirstName" />
            <asp:BoundField DataField="LastName" HeaderText="LastName" 
                SortExpression="LastName" />
            <asp:BoundField DataField="Address" HeaderText="Address" 
                SortExpression="Address" />
            <asp:BoundField DataField="email" HeaderText="email" SortExpression="email" />
            <asp:BoundField DataField="Department" HeaderText="Department" 
                SortExpression="Department" />
        </Columns>
    </asp:GridView>

    <script type="text/javascript">
        $(function () {
            // Default - hide the table row of Course information 
            // and also hide the Collapse text from Student 
            // Information's Action column 
            $('.expand').hide();

            $('.expand-btn').on("click", function () {
                // Find the row, where user clicked
                var tr = $(this).parents('tr:first');
                // Find the number of column in the table and
                // then subtract 1, because course will be displayed 
                // from 2nd column 
                var noOftd = tr.find("td").length - 1;
                // Insert a row after the selected row
                // and add a div, which will be the place
                // holder for CourseView.
                tr.after("<tr>" +
                                "<td/>" +
                                "<td colspan='" +
                                        noOftd +
                                        "'> " + 
                                        "<div id='courseDiv'>" + 
                                        "This is a place hoder for child" +
                                        "</div> " +
                               "<td/>" +
                          "</tr>");
                // toggle to display either Expand or Collapse 
                // text in the Student Row
                tr.find('.expand, .collapse').toggle(); 
                // Find the value of selected row's StudentID
                var id = tr.find("td:first").next().html();
                // Call CourseView.aspx with Student ID 
                // and use Load function of JQuery to refresh the div.
                // We do not need to load Header information from CourseView.aspx page. 
                // In other words, we only need to load the data which is under the CoursePanel
                // of CourseView.aspx. Hence, in the load method, we use ID of the Panel "CoursePanel" 
                // as a the 2nd paramenter 
                tr.next().find("#courseDiv").load("CourseView.aspx?id=" + id, "#CoursePanel");
            });

            $('.collapse-btn').on("click", function () {
                var tr = $(this).parents('tr:first');
                // toggle to display either Expand or Collapse 
                // text in the Student Row
                tr.find('.expand, .collapse').toggle();
                // toggle to display table row with Course information
                tr.next().toggle();                     
            });

        });
    </script>
</asp:Content>
